modify bringup scripts to handle TeleMega v2.0
authorBdale Garbee <bdale@gag.com>
Mon, 11 Jan 2016 00:43:34 +0000 (17:43 -0700)
committerBdale Garbee <bdale@gag.com>
Mon, 11 Jan 2016 00:43:34 +0000 (17:43 -0700)
ao-bringup/test-telemega
ao-bringup/test-telemega-v1.0 [new file with mode: 0755]
ao-bringup/turnon_telemega
ao-bringup/turnon_telemega_v1.0 [new file with mode: 0755]

index 2e497886cf5a4a5a664f4f306ee3fea914167d53..b801b20c1fcb72762bce2d62e5f2a387fc03225f 100755 (executable)
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-VERSION=1.0
+VERSION=2.0
 PRODUCT=TeleMega
 BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
 
diff --git a/ao-bringup/test-telemega-v1.0 b/ao-bringup/test-telemega-v1.0
new file mode 100755 (executable)
index 0000000..2e49788
--- /dev/null
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+VERSION=1.0
+PRODUCT=TeleMega
+BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
+
+echo "$PRODUCT-v$VERSION Test Program"
+echo "Copyright 2014 by Keith Packard.  Released under GPL v2"
+echo
+echo "Expectations:"
+echo "\t$PRODUCT v$VERSION powered from USB"
+echo
+
+ret=1
+ao-list | while read product serial dev; do
+    case "$product" in
+       "$PRODUCT-v$VERSION")
+
+           echo "Testing $product $serial $dev"
+
+           ./test-igniters $dev main drogue 3 0 1 2
+           echo""
+
+           echo "Testing baro sensor"
+           ../ao-tools/ao-test-baro/ao-test-baro --tty="$dev"
+
+           case $? in
+               0)
+                   ;;
+               *)
+                   echo "failed"
+                   exit 1
+           esac
+           echo""
+
+           FLASHSIZE=8388608
+
+           echo "Testing flash"
+           ../ao-tools/ao-test-flash/ao-test-flash --tty="$dev" "$FLASHSIZE"
+
+           case $? in
+               0)
+                   ;;
+               *)
+                   echo "failed"
+                   exit 1
+           esac
+           echo""
+
+           echo "Testing GPS"
+           ../ao-tools/ao-test-gps/ao-test-gps --tty="$dev"
+
+           case $? in
+               0)
+                   ;;
+               *)
+                   echo "failed"
+                   exit 1
+           esac
+           echo""
+
+           echo "$PRODUCT-v$VERSION" serial "$serial" is ready to ship
+           ret=0
+           ;;
+    esac
+done
index 7b95bf20fb9eb4ea756564b439061a8f4517b6fb..62f51fba1f8ce7346af03838b65842fafc7ff43a 100755 (executable)
@@ -14,7 +14,7 @@ else
        exit 1
 fi
 
-VERSION=1.0
+VERSION=2.0
 REPO=~/altusmetrumllc/Binaries
 
 echo "TeleMega v$VERSION Turn-On and Calibration Program"
diff --git a/ao-bringup/turnon_telemega_v1.0 b/ao-bringup/turnon_telemega_v1.0
new file mode 100755 (executable)
index 0000000..7b95bf2
--- /dev/null
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+if [ -x /usr/bin/ao-flash-stm ]; then
+       FLASH_STM=/usr/bin/ao-flash-stm
+else
+       echo "Can't find ao-flash-stm!  Aborting."
+       exit 1
+fi
+
+if [ -x /usr/bin/ao-usbload ]; then
+       USBLOAD=/usr/bin/ao-usbload
+else
+       echo "Can't find ao-usbload!  Aborting."
+       exit 1
+fi
+
+VERSION=1.0
+REPO=~/altusmetrumllc/Binaries
+
+echo "TeleMega v$VERSION Turn-On and Calibration Program"
+echo "Copyright 2014 by Bdale Garbee.  Released under GPL v2"
+echo
+echo "Expectations:"
+echo "\tTeleMega v$VERSION powered from USB"
+echo "\t\twith ST-Link-V2 cabled to debug header"
+echo "\t\twith coax from UHF to frequency counter"
+echo
+echo -n "TeleMega-$VERSION serial number: "
+read SERIAL
+
+echo $FLASH_STM
+
+$FLASH_STM $REPO/loaders/telemega-v$VERSION*.elf || exit 1
+
+sleep 5
+
+$USBLOAD --serial=$SERIAL $REPO/telemega-v$VERSION*.elf || exit 1
+
+sleep 5
+
+dev=`ao-list | awk '/TeleMega-v'"$VERSION"'/ { print $3; exit(0); }'`
+
+case "$dev" in
+/dev/tty*)
+       echo "TeleMega found on $dev"
+       ;;
+*)
+       echo 'No TeleMega-v'"$VERSION"' found'
+       exit 1
+       ;;
+esac
+
+echo 'E 0' > $dev
+
+SERIAL=$SERIAL ./cal-freq $dev
+
+../ao-tools/ao-cal-accel/ao-cal-accel $dev
+
+echo 'E 1' > $dev
+
+./test-telemega
+
+exit $?